summaryrefslogtreecommitdiff
path: root/tests/common
diff options
context:
space:
mode:
authorLakshmipathi.G <lakshmipathi.g@giis.co.in>2017-10-27 11:30:24 +0530
committerDavid Sterba <dsterba@suse.com>2017-11-14 15:59:00 +0100
commit7a060ea02662a3cbf4b2707de830c835f43658ef (patch)
tree9c41aa32069280543306dac7abbbccd6d09fb8d8 /tests/common
parenta6e5cdef437ca9f47e70f928fa8c4338d2037ad5 (diff)
btrfs-progs: tests/common: Display warning only after searching for btrfs kernel module
Signed-off-by: Lakshmipathi.G <lakshmipathi.g@giis.co.in> Signed-off-by: David Sterba <dsterba@suse.com>
Diffstat (limited to 'tests/common')
-rw-r--r--tests/common8
1 files changed, 6 insertions, 2 deletions
diff --git a/tests/common b/tests/common
index eb525a4d..dec090fe 100644
--- a/tests/common
+++ b/tests/common
@@ -428,8 +428,12 @@ run_check_umount_test_dev()
check_kernel_support()
{
if ! grep -iq 'btrfs' /proc/filesystems; then
- echo "WARNING: btrfs filesystem not listed in /proc/filesystems, some tests might fail"
- return 1
+ run_check $SUDO_HELPER modprobe btrfs
+ if ! grep -iq 'btrfs' /proc/filesystems; then
+ echo \
+"WARNING: btrfs filesystem not found in /proc/filesystems, some tests might fail"
+ return 1
+ fi
fi
return 0
}